## EvNavigationAction EvNavigationAction — |

## Synopsis

                EvNavigationActionPrivate;
                EvNavigationAction;
    void        ev_navigation_action_set_history
                                                (EvNavigationAction *action,
                                                 EvHistory *history);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EvNavigationAction

## Signals

    "activate-link"
                void        user_function      (EvNavigationAction *evnavigationaction,
                                                GObject            *arg1,
                                                gpointer            user_data)               : Run last / Action

## Description

## Details

### EvNavigationActionPrivate

    typedef struct _EvNavigationActionPrivate EvNavigationActionPrivate;

### EvNavigationAction

    typedef struct _EvNavigationAction EvNavigationAction;

### ev_navigation_action_set_history ()

    void        ev_navigation_action_set_history
                                                (EvNavigationAction *action,
                                                 EvHistory *history);

`action` : |
`history` : |

## Signal Details

### The "activate-link" signal

    void        user_function                  (EvNavigationAction *evnavigationaction,
                                                GObject            *arg1,
                                                gpointer            user_data)               : Run last / Action

`evnavigationaction` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.